org.apache.sling.jcr.jackrabbit.server.impl.security

## Class AuthenticationPluginWrapper

- java.lang.Object
- - org.apache.sling.jcr.jackrabbit.server.impl.security.AuthenticationPluginWrapper

All Implemented Interfaces:
  org.apache.jackrabbit.core.security.authentication.Authentication

    public class AuthenticationPluginWrapper
    extends Object
    implements org.apache.jackrabbit.core.security.authentication.Authentication

Wraps a `AuthenticationPlugin` and a `LoginModulePlugin` with a `Authentication` object

### Constructor Summary

Constructors
Constructor and Description
`AuthenticationPluginWrapper(AuthenticationPlugin pa, LoginModulePlugin plm)`

### Method Summary

Methods
`boolean` `authenticate(javax.jcr.Credentials credentials)` Delegates to underlying `AuthenticationPlugin.authenticate(Credentials)` method
`boolean` `canHandle(javax.jcr.Credentials credentials)` Delegates to underlying `LoginModulePlugin.canHandle(Credentials)` method

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthenticationPluginWrapper

    public AuthenticationPluginWrapper(AuthenticationPlugin pa,
                               LoginModulePlugin plm)

### Method Detail

#### authenticate

    public boolean authenticate(javax.jcr.Credentials credentials)
                         throws javax.jcr.RepositoryException

Delegates to underlying `AuthenticationPlugin.authenticate(Credentials)` method

Specified by:
  `authenticate` in interface `org.apache.jackrabbit.core.security.authentication.Authentication`
Throws:
  `javax.jcr.RepositoryException`

#### canHandle

    public boolean canHandle(javax.jcr.Credentials credentials)

Delegates to underlying `LoginModulePlugin.canHandle(Credentials)` method

Specified by:
  `canHandle` in interface `org.apache.jackrabbit.core.security.authentication.Authentication`